"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _codemirror = _interopRequireDefault(require("codemirror"));

var _parser = _interopRequireDefault(require("./parser"));

_codemirror.default.registerHelper('lint', 'json', function (text) {
  var found = [];

  if (!text.trim()) {
    // 没有内容的时候不要有错误提示
    return found;
  } // @ts-ignore


  _parser.default.parseError = function (message, hash) {
    var loc = hash.loc;
    found.push({
      from: _codemirror.default.Pos(loc.firstLine - 1, loc.firstColumn),
      // eslint-disable-line new-cap
      to: _codemirror.default.Pos(loc.lastLine - 1, loc.lastColumn),
      // eslint-disable-line new-cap
      message: message
    });
  };

  try {
    _parser.default.parse(text);
  } catch (e) {// ignore
  }

  return found;
});