"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _cssBasic = _interopRequireDefault(require("./css/css-basic"));

var _cssThemeDark = _interopRequireDefault(require("./css/css-theme-dark"));

var _cssThemeLight = _interopRequireDefault(require("./css/css-theme-light"));

var _cssAddonDialog = _interopRequireDefault(require("./css/css-addon-dialog"));

var _cssAddonFoldGutter = _interopRequireDefault(require("./css/css-addon-fold-gutter"));

var _cssAddonSearchMatch = _interopRequireDefault(require("./css/css-addon-search-match"));

var _cssAddonDisplayFullscreen = _interopRequireDefault(require("./css/css-addon-display-fullscreen"));

var _cssAddonLint = _interopRequireDefault(require("./css/css-addon-lint"));

var _cssFixFont = _interopRequireDefault(require("./css/css-fix-font"));

var _cssFixAutoResize = _interopRequireDefault(require("./css/css-fix-auto-resize"));

// 组件需要加载基础的样式，又不想生成单独的 css，就采用这种方式，应用侧可以自己加载更多的样式
// 这里没法用 import 的方式（即使带上 !!raw-loader!），只好拷过来...
var _default = _styledComponents.default.div.withConfig({
  componentId: "sc-1jmguwr-0"
})(["", " ", " ", " ", " ", " ", " ", " ", " ", " ", ""], _cssBasic.default, _cssThemeDark.default, _cssThemeLight.default, _cssAddonDialog.default, _cssAddonFoldGutter.default, _cssAddonSearchMatch.default, _cssAddonDisplayFullscreen.default, _cssAddonLint.default, _cssFixFont.default, _cssFixAutoResize.default);

exports.default = _default;