import { HTMLAttributes } from 'react';
import { EditorConfiguration, EditorEventMap } from 'codemirror';
export interface ICodeMirrorConf extends Omit<EditorConfiguration, 'value'> {
    on?: EditorEventMap;
}
export interface IFnConvertValue {
    (value: string): string;
}
export interface IPropsCodeMirror extends Omit<HTMLAttributes<HTMLDivElement>, 'onChange'> {
    conf?: ICodeMirrorConf;
    value?: string;
    minLines?: number;
    maxLines?: number;
    convertValueToDisplay?: IFnConvertValue;
    convertValueFromDisplay?: IFnConvertValue;
    onChange?(value: string): void;
}
